Skip to main content
POST
Read batch objects

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

Body

application/json

Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.

inputs
object[]
required

An array of SimplePublicObjectId objects, each containing an ID used to identify the objects to be read in the batch operation.

properties
string[]
required

An array of strings representing the specific properties to be returned for each object in the batch.

propertiesWithHistory
string[]
required

An array of strings indicating the properties for which the history of previous values should be returned. Using this may reduce the maximum number of objects that can be read in a single request.

idProperty
string

When using a custom unique value property to retrieve records, the name of the property. Do not include this parameter if retrieving by record ID.

Response

successful operation

A public object batch response object

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of SimplePublicObject items that represent the results of the batch operation.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A map of link names to associated URIs, providing additional resources or information related to the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on September 14, 2026